
Foreman - Feature #719

Add new search functionaily

03/09/2011 07:18 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Search   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

the idea here is too add search based on a single auto completer rather then display all search combinations / fields etc.

I'm put it as a place holder, so we could associate all search related issues to this ticket.

Related issues:

Related to Foreman - Bug #772: Audit search does not work Closed 03/21/2011

Related to Foreman - Feature #773: It should be possible to search the Audit ... Closed 03/21/2011

Related to Foreman - Bug #768: duplicate entries returned when searching thou... Closed 03/21/2011

Related to Foreman - Feature #834: add search to hostgroup page Closed 04/12/2011

Precedes Foreman - Feature #385: When searching for hosts with Facts, there s... Closed 03/10/2011 03/10/2011

Precedes Foreman - Bug #715: Searching in yaml returns 500 Closed 03/10/2011 03/10/2011

Precedes Foreman - Bug #671: Host search "Alerts disabled" off-by-one Closed 03/10/2011 03/10/2011

Precedes Foreman - Feature #447: add tests for the search bars Rejected 03/10/2011 03/10/2011

Precedes Foreman - Feature #412: Search using Host name in Audit Log. Closed 03/10/2011 03/10/2011

Precedes Foreman - Feature #259: Ability to search Hosts by Parameters Closed 03/10/2011 03/10/2011

Precedes Foreman - Feature #185: Query "and not" Closed 03/10/2011 03/10/2011

Precedes Foreman - Bug #560: The Reports "Select a Period" drop down list doe... Closed 03/10/2011 03/10/2011

Associated revisions

Revision 80516e41 - 04/10/2011 09:36 AM - Ohad Levy

fixes #719 - Adds new search functionaily

Revision 7747485a - 04/10/2011 11:33 AM - Ohad Levy

adds search to hosts refs #719

Revision c76afe1f - 04/10/2011 03:17 PM - Ohad Levy

added search to facts page #refs 719

Revision b0b1ea21 - 04/10/2011 03:17 PM - Ohad Levy

added search to reports page #refs 719

Revision 8de14697 - 04/10/2011 03:21 PM - Ohad Levy

added search to operating systems page #refs 719

Revision ac7fe332 - 04/10/2011 03:51 PM - Ohad Levy

added search to puppet classes page #refs 719

Revision b342a9a8 - 04/10/2011 04:06 PM - Ohad Levy

addes search to dashboard page refs #719
History

#1 - 03/09/2011 07:18 AM - Ohad Levy

- Assignee set to Amos Benari

#2 - 03/15/2011 03:26 AM - Ohad Levy

- Target version set to 0.3

#3 - 04/11/2011 06:34 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 80516e41525c13d55f158ce1e86a430806f0424b.

#4 - 04/11/2011 07:30 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
